From 2cef5df835fd8443ad9fad9998484d48621a1b47 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:08 +0000
Subject: [PATCH 370/2232] Remove panicking codepath from vec$len


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index e882087..89d15a9 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -599,7 +599,7 @@ fn expand_rust_vec(namespace: &Namespace, ty: &Type, ident: &Ident) -> TokenStre
         #[doc(hidden)]
         #[export_name = #link_len]
         unsafe extern "C" fn #local_len(this: *const ::cxx::RustVec<#inner>) -> usize {
-            this.as_ref().unwrap().len()
+            (*this).len()
         }
     }
 }

